<?php
// Start the engine
require_once(TEMPLATEPATH.'/lib/init.php');

/** Add support for custom header **/
add_theme_support( 'genesis-custom-header', array( 'width' => 960, 'height' => 125 ) );

// Add new image sizes
add_image_size('Slideshow', 500, 260, TRUE);
add_image_size('Mini', 90, 90, TRUE);

// Add widgeted footer section
add_action('genesis_before_footer', 'metric_include_footer_widgets'); 
function metric_include_footer_widgets() {
    require(CHILD_DIR.'/footer-widgeted.php');
}

// Customizes go to top text
add_filter('genesis_footer_backtotop_text', 'footer_backtotop_filter');
function footer_backtotop_filter($backtotop) {
    $backtotop = '[footer_backtotop text="Top of Page"]';
    return $backtotop;
} 

/** Add top widget */

genesis_register_sidebar( array( 
    'id'            => 'top-widget', 
    'name'            => __( 'top widget', 'jitp' ), 
    'description'    => __( 'top widget for search box', 'jitp' ), 
) );  

add_action('genesis_header', 'top_widget', 7); 
function top_widget() { 
echo '<div id="top-widget">';
    dynamic_sidebar( 'top-widget' ); 
echo '</div>';
}  


// Register widget areas

genesis_register_sidebar(array(
	'name'=>'Home Top Full',
	'id' => 'home-top-full',
	'description' => 'This is the home top full width section of the homepage.',
	'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget'  => '</div>',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Home Top Left',
	'id' => 'home-top-left',
	'description' => 'This is the top left section of the homepage.',
	'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget'  => '</div>',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Home Top Right',
	'id' => 'home-top-right',
	'description' => 'This is the top right section of the homepage.',
	'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget'  => '</div>',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Home Middle #1',
	'id' => 'home-middle-1',
	'description' => 'This is the first column of the middle section of the homepage.',
	'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget'  => '</div>',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Home Middle #2',
	'id' => 'home-middle-2',
	'description' => 'This is the second column of the middle section of the homepage.',
	'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget'  => '</div>',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Home Middle #3',
	'id' => 'home-middle-3',
	'description' => 'This is the third column of the middle section of the homepage.',
	'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget'  => '</div>',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Footer #1',
	'id' => 'footer-1',
	'description' => 'This is the first column of the footer section.',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Footer #2',
	'id' => 'footer-2',
	'description' => 'This is the second column of the footer section.',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));
genesis_register_sidebar(array(
	'name'=>'Footer #3',
	'id' => 'footer-3',
	'description' => 'This is the fourth column of the footer section.',
	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
));

// genesis_register_sidebar(array(
//	'name'=>'Footer #4',
//	'id' => 'footer-4',
//	'description' => 'This is the third column of the footer section.',
//	'before_title'=>'<h4 class="widgettitle">','after_title'=>'</h4>'
//));


add_action( 'widgets_init', 'remove_header_right_widget_area' );
function remove_header_right_widget_area() {

    // Unregister Genesis Header Right widget area
    unregister_sidebar( 'header-right' );
}  

// Remove Footer Widgets if not home
remove_action('genesis_before_footer', 'metric_include_footer_widgets');
add_action('genesis_before_footer', 'genesis_include_footer_widgets'); 
function genesis_include_footer_widgets() {
if (is_home())
    require(CHILD_DIR.'/footer-widgeted.php');
}  

// Modify credits section
add_filter('genesis_footer_creds_text', 'custom_footer_creds_text');
function custom_footer_creds_text($creds) {
    $creds = get_bloginfo('name') . ' &bull; Built on the [footer_genesis_link]';
    return $creds;
}

add_filter('genesis_comment_form_args', 'custom_comment_form_args');
/**
 * Modify speak your mind text in comments
 *
 * @author Brian Gardner
 * @link http://dev.studiopress.com/modify-speak-your-mind.htm
 */
function custom_comment_form_args($args) {
    $args['title_reply'] = 'Leave a Comment';
    return $args;
}

/** Customize the post info function */
add_filter('genesis_post_info', 'post_info_filter');
function post_info_filter($post_info) {
if (!is_page()) {
    $post_info = '[post_comments zero="No Comments" one="1 Comment" more="% Comments"] [post_edit  before="<b>" after="</b>"]';
    return $post_info;
}}

add_action('genesis_after_post_content', 'manual_excerpt_more_link', 1);
function manual_excerpt_more_link() {
if(!is_singular()){
 echo '<a href="'.get_permalink().'" rel="nofollow" class="morelink">Read More...</a>';
}
}

add_filter('genesis_search_text', 'custom_search_text');
/**
 * Customize search form text
 *
 * @author Brian Gardner
 * @link http://dev.studiopress.com/customize-search-form.htm
 */
function custom_search_text($text) {
    return esc_attr('Search JITP...');
}